### Method

# Ide Task set_task_data

#### Declaration

    void
    ide_task_set_task_data (
      IdeTask* self,
      gpointer task_data,
      GDestroyNotify task_data_destroy
    )

#### Description

No description available.

#### Parameters

`task_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`task_data_destroy` | `GDestroyNotify`
| No description available.